php


Laravel 4.2 Composer install error: “could not scan for classes”


I want to install on my new Laravel 4.2 installation some packages via Composer. However, I am getting an exception.
This is my Composer file:
{
"name": "laravel/laravel",
"description": "The Laravel Framework.",
"keywords": ["framework", "laravel"],
"license": "MIT",
"license": "MIT",
"require": {
"laravel/framework": "4.2.*",
"zizaco/confide": "~4.0#dev",
"zizaco/entrust": "1.2.*#dev",
"barryvdh/laravel-ide-helper": "1.*",
"fzaninotto/faker": "1.3.*#dev",
"bllim/datatables": "~1.3",
"barryvdh/laravel-debugbar": "~1.7"
},
"require-dev": {
"way/generators": "~2.6",
"barryvdh/laravel-ide-helper": "~1.11"
},
"autoload": {
"classmap": [
"app/commands",
"app/controllers",
"app/models",
"app/database/migrations",
"app/database/seeds",
"app/tests/TestCase.php",
"app/controllers/admin",
"app/controllers/user"
]
},
"scripts": {
"post-install-cmd": [
"php artisan clear-compiled",
"php artisan optimize"
],
"post-update-cmd": [
"php artisan clear-compiled",
"php artisan optimize"
],
"post-update-cmd":[
"php artisan ide-helper:generate"
],
"post-create-project-cmd": [
"php artisan key:generate"
]
},
"config": {
"preferred-install": "dist"
},
"minimum-stability": "stable"
}
When running composer install I get:
$ composer install
Loading composer repositories with package information
Installing dependencies (including require-dev) from lock file
Warning: The lock file is not up to date with the latest changes in composer.jso
n. You may be getting outdated dependencies. Run update to update them.
Nothing to install or update
Generating autoload files
[RuntimeException]
Could not scan for classes inside "app/controllers/admin" which does not ap
pear to be a file nor a folder
install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-p
lugins] [--no-custom-installers] [--no-scripts] [--no-progress] [-v|vv|vvv|--ver
bose] [-o|--optimize-autoloader] [packages1] ... [packagesN]
This is basically a fresh Laravel installation. Why do I get the error:
Could not scan for classes inside "app/controllers/admin" which does not appear to be a file nor a folder
UPDATE
Using composer update:
$ composer update
Loading composer repositories with package information
Updating dependencies (including require-dev)
- Removing mockery/mockery (0.9.2)
- Removing phpunit/phpunit (4.3.4)
- Removing phpunit/php-code-coverage (2.0.11)
- Removing phpunit/php-token-stream (1.3.0)
- Removing phpunit/php-file-iterator (1.3.4)
- Removing phpunit/php-timer (1.0.5)
- Removing phpunit/phpunit-mock-objects (2.3.0)
- Removing phpunit/php-text-template (1.2.0)
- Removing doctrine/instantiator (1.0.4)
- Removing symfony/yaml (v2.5.6)
- Removing sebastian/comparator (1.0.1)
- Removing sebastian/diff (1.2.0)
- Removing sebastian/environment (1.2.0)
- Removing sebastian/exporter (1.0.2)
- Removing sebastian/version (1.0.3)
- Removing summerstreet/woodling (v0.1.6)
Writing lock file
Generating autoload files
[RuntimeException]
Could not scan for classes inside "app/controllers/admin" which does not ap
pear to be a file nor a folder
update [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--lock]
[--no-plugins] [--no-custom-installers] [--no-scripts] [--no-progress] [--with-
dependencies] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [packages1] ... [
packagesN]
Try using composer update. That is what it says in the error.
...You may be getting outdated dependencies. Run update to update them...
Update:
Composer is trying to find the folder app/controllers/admin which is no standard folder in laravel. Are you sure this folder exists? If not, you could try removing these, and other custom folders, from the composer.json, and add them manually. You could also create the directories and leave the composer.json untouched.

Related Links

How to insert json array data into mysql?
Error with MariaDB on php webservice
Piping stdout to a browser
Script not working after index mysql
REST PHP Database - Unsure of the output syntax?
Array content goes missing in transit from Android to PHP via HttpPost
How to add product image sales order grid in magento 1.8.1?
Foreach looping too many times
Why can't i see php call in Mozilla's Net tab?
Laravel combine two tables posts + tags
Upload a file to S3 with AWS SDK (PHP) - Cant upload a non-object
Includes vs hidden divs, which is better
Composer error when trying to install elfinder-laravel
PHP: data-attributes to associative array using regex
What exactly is caching? [closed]
Woocommerce update shipping methods in checkout via ajax

Categories

HOME
office365
azure-functions
verification
clearcase
opencv-python
activex
antd
android-emulator
cryptography
moodle-api
azure-mobile-services
bittorrent
sympy
telegraf
android-externalstorage
sslhandshakeexception
ex
google-awareness
sonata
corona
web-deployment
cpu-usage
unity-container
weex
uislider
backendless
morris.js
webviewclient
clipboard
android-service
sales
google-play-developer-api
dotcms
windowsiot
xcrun
mongoengine
bootstrap-sass
express-session
keyboard-layout
google-prediction
git-tfs
react-intl
absolute
sesame
swiperefreshlayout
prefetch
multi-touch
nclam
msg
ftp-client
mathml
android-sdcard
sharepoint-apps
gravatar
flipclock
wif4.5
openshift-cartridge
apache-commons-digester
auto-generate
knife
modern.ie
ampersand
dbmigrate
text-align
camus
jcheckbox
juttle
configurable-product
jquery-mobile-flipswitch
network-printers
bittorrent-sync
cidr
lync-2010
particle-swarm
eclim
illuminate-container
chartfx
dynamic-rdlc-generation
flv
background-thread
session-0-isolation
tridion-2011
kobold2d
fitch-proofs
memory-pool
fork-join
qcar-sdk
ccl
spring-modules
tacit-programming

Resources

Encrypt Message



code
soft
python
ios
c
html
jquery
cloud
mobile